%global momorel 8

Summary: Tools for launching Preferred Applications
Name: htmlview
Version: 4.0.0
Release: %{momorel}m%{?dist}
License: Public Domain
Group: Applications/Internet
Source0: %{name}
Source1: launchmail
Source2: launchterm
Source10: %{name}.desktop
Source11: launchmail.desktop
Source12: launchterm.desktop
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: which
BuildArch: noarch

%description
htmlview and launchmail are tools for launching Preferred Applications.
This package exists for compatibility reasons and is likely to be removed
later when equivalent functionality is implemented elsewhere.

%prep

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_bindir}
install -c -m 755 %{SOURCE0} %{buildroot}%{_bindir}/
install -c -m 755 %{SOURCE1} %{buildroot}%{_bindir}/
install -c -m 755 %{SOURCE2} %{buildroot}%{_bindir}/

# install desktop files
mkdir -p %{buildroot}%{_datadir}/{applications,desktop-menu-patches}
install -c -m 644 %{SOURCE10} %{buildroot}%{_datadir}/desktop-menu-patches/
install -c -m 644 %{SOURCE11} %{buildroot}%{_datadir}/desktop-menu-patches/
install -c -m 644 %{SOURCE12} %{buildroot}%{_datadir}/desktop-menu-patches/

# link desktop files
ln -sf ../desktop-menu-patches/htmlview.desktop \
  %{buildroot}%{_datadir}/applications/htmlview.desktop
ln -sf ../desktop-menu-patches/launchmail.desktop \
  %{buildroot}%{_datadir}/applications/launchmail.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/htmlview
%{_bindir}/launchmail
%{_bindir}/launchterm
%{_datadir}/applications/htmlview.desktop
%{_datadir}/applications/launchmail.desktop
%{_datadir}/desktop-menu-patches/*.desktop

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (4.0.0-8m)
- full rebuild for mo7 release

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0.0-7m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Feb 25 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (4.0.0-6m)
- modify Source12

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (4.0.0-5m)
- rebuild against rpm-4.6

* Tue Jul 15 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-4m)
- remove redhat-menus tar-ball and add desktop files of redhat-menus
- revive launchterm

* Tue Jul 15 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-3m)
- merge redhat-menus

* Tue Jul 15 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0.0-2m)
- remove Requires: redhat-menu

* Tue Jul 15 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (4.0.0-1m)
- sync Fedora

* Sat May 24 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (3.0.0-8m)
- fix desktop file(htmlview.desktop)

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.0.0-7m)
- rebuild against gcc43

* Fri May 19 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.0.0-6m)
- update htmlview
- update launchmail

* Mon Apr 18 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.0.0-5m)
- fix typo (htmlview.desktop)

* Sat Apr  9 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.0.0-4m)
- add launchmail(SOURCE1) and launchterm(SOURCE2)
- add desktop file (SOURCE3-5)
- GNOME top panel launchar

* Tue May 11 2004 Toru Hoshina <t@momonga-linux.org>
- (3.0.0-3m)
- import from FC.

* Sat Apr 17 2004 Warren Togami <wtogami@redhat.com> 3.0.0-3
- mimic gnome-open if available, otherwise fallback to old htmlview behavior
- fix error handling (karsten)

* Fri Apr 16 2004 Warren Togami <wtogami@redhat.com> 2.0.0-13
- read http instead of unknown key

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Oct 21 2003 Matt Wilson <msw@redhat.com> 2.0.0-11
- add epiphany (#106255)

* Sun Oct 19 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add a %%clean specfile target

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec  6 2002 Tim Waugh <twaugh@redhat.com> 2.0.0-9
- Be gconf-aware; use the 'preferred applications' setting.

* Tue Oct  8 2002 Mike A. Harris <mharris@redhat.com> 2.0.0-7
- All-arch rebuild
- Change {prefix}/bin and {prefix}/share to _bindir, _datadir, etc..

* Thu Aug 22 2002 Christopher Blizzard <blizzard@redhat.com> 2.0.0-6
- Use an absolute symlink so that you can drag and drop the .desktop
  entry.

* Fri Aug 09 2002 Christopher Blizzard <blizzard@redhat.com> 2.0.0-5
- Prefer Mozilla over galeon
- Include link to redhat-web.desktop

* Fri Aug 09 2002 Phil Knirsch <pknirsch@redhat.com> 2.0.0-4
- Updated to start the first look for the GENERIC browers and terms (#68848)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 2.0.0-3
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com> 2.0.0-2
- automated rebuild

* Mon Jan 21 2002 Bernhard Rosenkraenzer <bero@redhat.com> 2.0.0-1
- Allow /etc/htmlview.conf and ~/.htmlviewrc files to allow users to
  pick their preferred browsers.

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Aug 22 2001 Bernhard Rosenkraenzer <bero@redhat.com> 1.2.0-1
- Add Galeon to the list of known browsers, prefer Mozilla over
  Konqueror if in gnome (#52137)

* Wed Mar  7 2001 Bill Nottingham <notting@redhat.com>
- add a license note to the script

* Tue Jan  9 2001 Bernhard Rosenkraenzer <bero@redhat.com>
- 1.1.0:
  - Add konqueror to the list of known browsers
  - Add support for remote URLs (so we can use this for licq, as well)
  - Some cleanups

* Tue Sep 19 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- initial rpm
